/*
 * TrkMDRHistoAction.cpp
 *
 *  Created on: 03-aug-2009
 *      Author: S. Ricciarini
 */

/*! @file TrkMDRHistoAction.cpp The TrkMDRHistoAction class implementation file. */

#include "TrkMDRHistoAction.h"

TrkMDRHistoAction::TrkMDRHistoAction(const char *actionName, TString outFileBase,
    TString mode, bool outRoot, bool outText, TString title) :
  Histo1DAction<Int_t> (actionName, title, outFileBase, mode, outRoot, outText) {
}

void TrkMDRHistoAction::OnGood(PamLevel2 *event) {

  Fill(1. / (pow(event->GetTrack(0)->GetTrkTrack()->coval[4][4], 0.5)));

}
